import es, popuplib, os, cPickle

info = es.AddonInfo()
info.name = 'SkiLLz Stats'
info.version = '1.1'
info.url = 'darkswat.moo.no'
info.basename = 'sstats'
info.author = 'SkiLLz'
stats = es.ServerVar('stats_version', info.version, info.url).makepublic()

Players = {}

def load():
	path = es.getAddonPath('sstats') + '/Players.db'
	if os.path.isfile(path):
		global Players
		file = open(path)
		Players = cPickle.load(file)
		file.close()
		es.server.cmd('echo [SStats]Opened Players.db')
	es.regsaycmd('rank', 'sstats/rank', '')
	es.regsaycmd('updatename', 'sstats/updatename', '')
	
def unload():
	path = open(es.getAddonPath('sstats') + '/Players.db', 'w')
	cPickle.dump(Players, path)
	es.server.cmd('echo [SStats]Saved Players.db')
	es.unregsaycmd('rank')
	es.unregsaycmd('updatename')

def round_end(ev):
	path = open(es.getAddonPath('sstats') + '/Players.db', 'w')
	cPickle.dump(Players, path)
	es.server.cmd('echo [SStats]Saved Players.db')

def player_team(ev):
	if not Players.has_key(es.getplayersteamid(ev['userid'])):
		steamid = es.getplayersteamid(ev['userid'])
		Players[steamid] = {}
		a = Players[steamid]
		a['kills'] = 0
		a['deaths'] = 0
		a['headshots'] = 0
		a['knifes'] = 0
		a['rank'] = 0
		a['dmg'] = 0
		a['name'] = es.getplayername(ev['userid'])
		es.server.cmd('echo player %s added to db.'%steamid)

def player_death(ev):
	if ev['userid'] != 0:
		if ev['userid'] != ev['attacker']:
			if ev['es_userteam'] != ev['es_attackerteam']:
				add(ev['es_attackersteamid'], 'kills', '1')
				add(ev['es_steamid'], 'deaths', '1')
				if ev['headshot'] == '1':
					add(ev['es_attackersteamid'], 'headshots', '1')
				if ev['weapon'] == 'knife':
					add(ev['es_attackersteamid'], 'knifes', '1')

def player_hurt(ev):
	if ev['userid'] != 0:
		if ev['userid'] != ev['attacker']:
			if ev['es_userteam'] != ev['es_attackerteam']:
				add(ev['es_attackersteamid'], 'dmg', ev['dmg_health'])

def updatename():
	if es.getarvc() > 1: Players[es.getplayersteamid(es.getcmduserid)]['name'] = es.getargs()

def rank():
	if es.getargc() == 1:
		userid = es.getcmduserid()
		steamid = es.getplayersteamid(userid)
		menu = popuplib.easymenu('SStats', None, None)
		menu.settitle('Your Stats')
		a = Players[steamid]
		menu.addoption('1', 'Name: %s'%a['name'])
		menu.addoption('2', 'Kills: %s'%a['kills'])
		menu.addoption('3', 'Deaths: %s'%a['deaths'])
		menu.addoption('4', 'Headshots: %s'%a['headshots'])
		menu.addoption('5', 'Dmg: %s'%a['dmg'])
		kdr = float(a['kills']) / float(a['deaths'])
		menu.addoption('6', 'KDR: %s'%kdr)
		menu.send(userid)
	else:
		userid = es.getuserid(es.getargs())
		steamid = es.getplayersteamid(userid)
		menu = popuplib.easymenu('SStats', None, None)
		menu.settitle('%s Stats'%es.getplayername(userid))
		b = Players[steamid]
		menu.addoption('Name', 'Name: %s'%b['name'])
		menu.addoption('Kills', 'Kills: %s'%b['kills'])
		menu.addoption('Deaths', 'Deaths: %s'%b['deaths'])
		menu.addoption('Headshots', 'Headshots: %s'%b['headshots'])
		menu.addoption('Dmg', 'Dmg: %s'%b['dmg'])
		kdr = float(b['kills']) / float(b['kills'])
		menu.addoption('Kdr', 'KDR: %s'%kdr)
		menu.send(es.getcmduserid())

def round_end(ev):
	

def add(steamid, type, valuetoadd):
	value = Players[steamid][type]
	value = value + int(valuetoadd)
	Players[steamid][type] = value